#ifndef CSTATICPARAMWIDGET_H
#define CSTATICPARAMWIDGET_H
#include "cmwidget.h"
#include "cctrlparambase.h"
#include "variant.h"
#include <QLCDNumber>
class CTRLS_COMMON_EXPORT CCtrlParamStatic: public CMWidget
{
    Q_OBJECT
public:
    CCtrlParamStatic(QWidget *parent = 0);
    QLCDNumber* staticparam;
    virtual void MTimeFresh();
    virtual void MFresh();
    virtual void MApply();
    void paintEvent(QPaintEvent *);
    QPixmap m_Pixmap;
    QColor m_BKColor;
    void MParamInit(Variant* pParam,QString name=QString());
    QString m_sName;
    Variant* m_pParam;
    QString m_sUnit;
};

#endif // CSTATICPARAMWIDGET_H
